> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/ruby/vm-autoscaling/models/replicapropertiespost.md).

# ReplicaPropertiesPost

## Properties

| Name                   | Type                                                                                    | Description                                                                                                                                                                                                                                         | Notes       |
| ---------------------- | --------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------- |
| **availability\_zone** | [**AvailabilityZone**](/cloud/ruby/vm-autoscaling/models/availabilityzone.md)           |                                                                                                                                                                                                                                                     | \[optional] |
| **cores**              | **Integer**                                                                             | The total number of cores for the VMs.                                                                                                                                                                                                              |             |
| **cpu\_family**        | [**CpuFamily**](/cloud/ruby/vm-autoscaling/models/cpufamily.md)                         |                                                                                                                                                                                                                                                     | \[optional] |
| **nics**               | [**Array\<ReplicaNic>**](/cloud/ruby/vm-autoscaling/models/replicanic.md)               | The list of NICs associated with this replica.                                                                                                                                                                                                      | \[optional] |
| **ram**                | **Integer**                                                                             | The size of the memory for the VMs in MB. The size must be in multiples of 256 MB, with a minimum of 256 MB; if you set 'ramHotPlug=TRUE', you must use at least 1024 MB. If you set the RAM size to more than 240 GB, 'ramHotPlug=FALSE' is fixed. |             |
| **volumes**            | [**Array\<ReplicaVolumePost>**](/cloud/ruby/vm-autoscaling/models/replicavolumepost.md) | List of volumes associated with this Replica.                                                                                                                                                                                                       | \[optional] |

## Example

```ruby
require 'ionoscloud-vm-autoscaling'

instance = IonoscloudVmAutoscaling::ReplicaPropertiesPost.new(
  availability_zone: null,
  cores: 2,
  cpu_family: null,
  nics: null,
  ram: 2048,
  volumes: null
)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/ruby/vm-autoscaling/models/replicapropertiespost.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
